/*
 * Copyright (C) 2012-2013 Daniel Medina <http://danielme.com>
 * 
 * This file is part of "Muspy for Android".
 * 
 * "Muspy for Android" is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * "Muspy for Android" is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License version 3
 * along with this program.  If not, see <http://www.gnu.org/licenses/gpl-3.0.html/>
 */
package com.danielme.muspyforandroid;

import java.util.HashMap;
import java.util.Map;

import android.widget.Toast;

/**
 * 
 * @author Daniel Medina (danielme.com)
 * @since 1.0
 *
 */
public final class Constants
{

	private Constants()
	{

	}

	public static final String CONTENT_TYPE = "Content-Type";
	public static final String URL = "https://muspy.com";
	public static final String HOST = "muspy.com";
	public static final String PREFS = "muspyforandroid";
	public static final String PREF_EMAIL = "email";
	public static final String PREF_USERID = "userID";
	public static final String PREF_LOADCOVER = "loadCovers";
	public static final String PREF_SIZE = "listViewSize";
	public static final String PREF_BROWSER = "internalBrowser";
	public static final String PREF_HQ = "hqCovers";
	public static final String TYPE_JSON = "application/json";
	public static final int API_421 = 17;
	public static final int API_40 = 14;


	public static final String EMAIL_IN_USE_ERROR = "email already in use";

	public static final String PREF_PASS = "password";
	public static final String PARAM_RELEASE = "releasembid";
	public static final String URL_COVER = "https://" + HOST + "/cover?id=";
	public static final String PARAM_URL = "url";
	public static final int TOAST_DURATION = Toast.LENGTH_LONG;
	public static final String PARAM_ARTIST = "artistmbid";
	public static final int CACHE_COVER_MIN = 20;
	public static final int CACHE_COVER_MAX = 60;
	public static final String PARAM_ARTIST_NAME = "artistName";
	public static final String PARAM_EMAIL = "email";
	public static final String URL_RESET = "https://muspy.com/reset";
	public static final String EMAIL = "email";
	public static final String USER_CREATED = "Created";
	public static final String EMAIL_NON_UNIQUE = "column email is not unique";
	public static final String UNKNOWN_EMAIL_ADDRESS = "Unknown email address";
	public static final String RELEASE_SEL = "releasedSelected";
	public static final String RELEASE_ENTRYPOINT = "entrypoint";
	public static final String LOCALE_ES = "es";
	public static final String INTENT_WIDGET = "com.danielme.muspyforandroid.UPDATE_WIDGET";
	public static final String WIKIPEDIA_MOBILE = "?mobileaction=toggle_view_mobile";
	public static final String INFO_SEPARATOR = "_@@_";
	
	public static final class SECRET
	{
		public static final String SEED = "changeme";	
	}
	
	public static final class LASTFM
	{
		public static final String OVERALL = "overall";
		public static final String MONTH12 = "12month";
		public static final String MONTH6 = "6month";
		public static final String MONTH3 = "3month"; 
		public static final String DAY7 = "7day";		
		public static final String IMPORT = "import";
		public static final String USERNAME = "username";
		public static final String COUNT = "count";
		public static final String PERIOD = "period";
		public static final String LASTFM = "last.fm";

	}

	public static final class API
	{
		public static final String USER = "https://" + HOST + "/api/1/user/";
		public static final String ARTISTS = "https://" + HOST + "/api/1/artists/";
		public static final String PARAM_OFFSET = "offset";
		public static final String PARAM_LIMIT = "limit";
		public static final String PARAM_MBID = "mbid";
		public static final String RELEASES = "https://" + HOST + "/api/1/releases/";
		public static final String RELEASE = "https://" + HOST + "/api/1/release/";
	}

	public static final class MBRAINZ
	{
		public static final String URL_ARTISTSEARCH = "http://search.musicbrainz.org/ws/2/artist/?query=%1$s&limit=%2$s&offset=%3$s&fmt=json";
		public static final String URL_ARTISTDATA = "http://musicbrainz.org/ws/2/artist/%1$s?inc=url-rels&fmt=json";
		public static final String URL_RELEASES= "http://musicbrainz.org/ws/2/release?release-group=%1$s&fmt=json&inc=labels+media";

		public static final String URL_COVER_SPIDER = "http://musicbrainz.org/release/";

		public static final String HOST = "www.musicbrainz.org";
		public static final String ARTIST = "artist";
		public static final String ARTISTLIST = "artist-list";
		public static final String COUNT = "count";
		public static final String ID = "id";
		public static final String ARTISTNAME = "name";
		public static final String ARTISTDIS = "disambiguation";		
		public static final String RELATIONS = "relations";	
		public static final String RELEASES = "releases";
		public static final String TYPE = "type";	
		public static final String URL = "url";
		public static final String WIKIPEDIA = "wikipedia";
		public static final String WIKIPEDIA_EN = "en.wikipedia";
		public static final String RESOURCE = "resource";	

		public static final Map<String, String> LANG_EN;
		static	{
					LANG_EN = new HashMap<String, String>(252);
					LANG_EN.put("AF","Afghanistan");     
				       LANG_EN.put("AX","Åland Islands");
				       LANG_EN.put("AL","Albania");
				       LANG_EN.put("DZ","Algeria");
				       LANG_EN.put("AS","American Samoa");         
				       LANG_EN.put("AD","Andorra");              
				       LANG_EN.put("AO","Angola");        
				       LANG_EN.put("AI","Anguilla");        
				       LANG_EN.put("AQ","Antarctica");              
				       LANG_EN.put("AG","Antigua and Barbuda");    
				       LANG_EN.put("AR","Argentina");    
				       LANG_EN.put("AM","Armenia");                  
				       LANG_EN.put("AW","Aruba");        
				       LANG_EN.put("AU","Australia");    
				       LANG_EN.put("AT","Austria");        
				       LANG_EN.put("AZ","Azerbaijan");                  
				       LANG_EN.put("BS","Bahamas");
				       LANG_EN.put("BH","Bahrain");
				       LANG_EN.put("BD","Bangladesh");                  
				       LANG_EN.put("BB","Barbados");              
				       LANG_EN.put("BY","Belarus");              
				       LANG_EN.put("BE","Belgium");    
				       LANG_EN.put("BZ","Belize");                   
				       LANG_EN.put("BJ","Benin");         
				       LANG_EN.put("BM","Bermuda");
				       LANG_EN.put("BT","Bhutan");
				       LANG_EN.put("BO","Bolivia");
				       LANG_EN.put("BA","Bosnia and Herzegovina");
				       LANG_EN.put("BW","Botswana");          
				       LANG_EN.put("BV","Bouvet Island");          
				       LANG_EN.put("BR","Brazil");              
				       LANG_EN.put("IO","British Indian Ocean Territory");    
				       LANG_EN.put("BN","Brunei Darussalam");
				       LANG_EN.put("BG","Bulgaria");
				       LANG_EN.put("BF","Burkina Faso");     
				       LANG_EN.put("BI","Burundi");           
				       LANG_EN.put("KH","Cambodia");               
				       LANG_EN.put("CM","Cameroon");           
				       LANG_EN.put("CA","Canada");           
				       LANG_EN.put("CV","Cape Verde");          
				       LANG_EN.put("KY","Cayman Islands");         
				       LANG_EN.put("TD","Chad");          
				       LANG_EN.put("CL","Chile");         
				       LANG_EN.put("CN","China");         
				       LANG_EN.put("CX","Christmas Island");         
				       LANG_EN.put("CC","Cocos (Keeling) Islands");         
				       LANG_EN.put("CO","Colombia");         
				       LANG_EN.put("KM","Comoros");         
				       LANG_EN.put("CG","Congo");
				       LANG_EN.put("CD","Congo, The Democratic Republic of the");                  
				       LANG_EN.put("CK","Cook Islands");     
				       LANG_EN.put("CR","Costa Rica");     
				       LANG_EN.put("CI","Cote d'Ivoire");
				       LANG_EN.put("HR","Croatia");
				       LANG_EN.put("CU","Cuba");
				       LANG_EN.put("CY","Cyprus");     
				       LANG_EN.put("XC","Czechoslovakia");     
				       LANG_EN.put("CZ","Czech Republic");     
				       LANG_EN.put("DK","Denmark");
				       LANG_EN.put("DJ","Djibouti");
				       LANG_EN.put("DM","Dominica");
				       LANG_EN.put("DO","Dominican Republic");
				       LANG_EN.put("XG","East Germany");
				       LANG_EN.put("EC","Ecuador");
				       LANG_EN.put("EG","Egypt");              
				       LANG_EN.put("SV","El Salvador");          
				       LANG_EN.put("GQ","Equatorial Guinea");          
				       LANG_EN.put("ER","Eritrea");          
				       LANG_EN.put("EE","Estonia");          
				       LANG_EN.put("ET","Ethiopia");
				       LANG_EN.put("XE","Europe");
				       LANG_EN.put("FK","Falkland Islands (Malvinas)");
				       LANG_EN.put("FO","Faroe Islands");                   
				       LANG_EN.put("FJ","Fiji");         
				       LANG_EN.put("FI","Finland");         
				       LANG_EN.put("FR","France");    
				       LANG_EN.put("GF","French Guiana");         
				       LANG_EN.put("PF","French Polynesia");     
				       LANG_EN.put("TF","French Southern Territories");     
				       LANG_EN.put("GA","Gabon");     
				       LANG_EN.put("GM","Gambia");          
				       LANG_EN.put("GE","Georgia");
				       LANG_EN.put("DE","Germany");         
				       LANG_EN.put("GH","Ghana");         
				       LANG_EN.put("GI","Gibraltar");
				       LANG_EN.put("GR","Greece");         
				       LANG_EN.put("GL","Greenland");          
				       LANG_EN.put("GD","Grenada");          
				       LANG_EN.put("GP","Guadeloupe");          
				       LANG_EN.put("GU","Guam");         
				       LANG_EN.put("GT","Guatemala");                  
				       LANG_EN.put("GG","Guernsey");     
				       LANG_EN.put("GN","Guinea");
				       LANG_EN.put("GN","Guinea");           
				       LANG_EN.put("GW","Guinea-Bissau");           
				       LANG_EN.put("GY","Guyanau");             
				       LANG_EN.put("HT","Haiti");              
				       LANG_EN.put("HM","Heard and Mc Donald Islands");      
				       LANG_EN.put("HN","Honduras");         
				       LANG_EN.put("HK","Hong Kong");                      
				       LANG_EN.put("HU","Hungary");         
				       LANG_EN.put("IS","Iceland");         
				       LANG_EN.put("IN","India");    
				       LANG_EN.put("ID","Indonesia");
				       LANG_EN.put("IR","Iran");          
				       LANG_EN.put("IQ","Iraq");           
				       LANG_EN.put("IE","Ireland");          
				       LANG_EN.put("IM","Isle of Man");         
				       LANG_EN.put("IL","Israel");
				       LANG_EN.put("IT","Italy");         
				       LANG_EN.put("JM","Jamaica");     
				       LANG_EN.put("JP","Japan");     
				       LANG_EN.put("JE","Jersey");
				       LANG_EN.put("JO","Jordan");           
				       LANG_EN.put("KZ","Kazakhstan");              
				       LANG_EN.put("KE","Kenya");
				       LANG_EN.put("KI","Kiribati");     
				       LANG_EN.put("KP","Korea (North)");     
				       LANG_EN.put("KP","Korea (South)");
				       LANG_EN.put("KW","Kuwait");
				       LANG_EN.put("KG","Kyrgyzstan");
				       LANG_EN.put("LA","Lao People's Democratic Republic");
				       LANG_EN.put("LV","Latvia");
				       LANG_EN.put("LB","Lebanon");              
				       LANG_EN.put("LS","Lesotho");             
				       LANG_EN.put("LR","Liberia");             
				       LANG_EN.put("LY","Libyan Arab Jamahiriya");         
				       LANG_EN.put("LI","Liechtenstein");         
				       LANG_EN.put("LT","Lithuania");    
				       LANG_EN.put("LU","Luxembourg");              
				       LANG_EN.put("MO","Macau");         
				       LANG_EN.put("MK","Macedonia");         
				       LANG_EN.put("MG","Madagascar");         
				       LANG_EN.put("MW","Malawi");         
				       LANG_EN.put("MY","Malaysia");                  
				       LANG_EN.put("MV","Maldives");
				       LANG_EN.put("ML","Mali");
				       LANG_EN.put("MT","Malta");         
				       LANG_EN.put("MH","Marshall Islands");              
				       LANG_EN.put("MQ","Martinique");         
				       LANG_EN.put("MR","Mauritania");         
				       LANG_EN.put("MU","Mauritius");
				       LANG_EN.put("YT","Mayotte");         
				       LANG_EN.put("MX","Mexico");         
				       LANG_EN.put("FM","Micronesia");
				       LANG_EN.put("MD","Republic of Moldova");
				       LANG_EN.put("MC","Monaco");
				       LANG_EN.put("MN","Mongolia");
				       LANG_EN.put("ME","Montenegro");
				       LANG_EN.put("MS","Montserrat");
				       LANG_EN.put("MA","Morocco");
				       LANG_EN.put("MZ","Mozambique");          
				       LANG_EN.put("MM","Myanmar");          
				       LANG_EN.put("NA","Namibia");
				       LANG_EN.put("NR","Nauru");     
				       LANG_EN.put("NP","Nepal");               
				       LANG_EN.put("NL","Netherlands");          
				       LANG_EN.put("AN","Netherlands Antilles");          
				       LANG_EN.put("NC","New Caledonia");         
				       LANG_EN.put("NZ","New Zealand");          
				       LANG_EN.put("NI","Nicaragua");         
				       LANG_EN.put("NE","Niger");         
				       LANG_EN.put("NG","Nigeria");         
				       LANG_EN.put("NU","Niue");
				       LANG_EN.put("NF","Norfolk Island") ;                       
				       LANG_EN.put("MP","Northern Mariana Islands");              
				       LANG_EN.put("NO","Norway");        
				       LANG_EN.put("OM","Oman");             
				       LANG_EN.put("PK","Pakistan");         
				       LANG_EN.put("PW","Palau");          
				       LANG_EN.put("PS","Palestinian Territory");          
				       LANG_EN.put("PA","Panama");                   
				       LANG_EN.put("PG","Papua New Guinea");     
				       LANG_EN.put("PY","Paraguay");     
				       LANG_EN.put("PE","Peru");     
				       LANG_EN.put("PH","Philippines");     
				       LANG_EN.put("PN","Pitcairn");         
				       LANG_EN.put("PL","Poland");         
				       LANG_EN.put("PT","Portugal");
				       LANG_EN.put("PR","Puerto Rico");          
				       LANG_EN.put("QA","Qatar");           
				       LANG_EN.put("RE","Reunion");           
				       LANG_EN.put("RO","Romania");          
				       LANG_EN.put("RU","Russian Federation");          
				       LANG_EN.put("RW","Rwanda");
				       LANG_EN.put("BL","Saint Barthélemy");
				       LANG_EN.put("SH","Saint Helena");
				       LANG_EN.put("KN","Saint Kitts and Nevis");         
				       LANG_EN.put("LC","Saint Lucia");    
				       LANG_EN.put("MF","Saint Martin");                  
				       LANG_EN.put("PM","Saint Pierre and Miquelon");
				       LANG_EN.put("VC","Saint Vincent and The Grenadines");
				       LANG_EN.put("WS","Samoa");                  
				       LANG_EN.put("SM","San Marino");         
				       LANG_EN.put("ST","Sao Tome and Principe");
				       LANG_EN.put("SA","Saudi Arabia");
				       LANG_EN.put("SN","Senegal");
				       LANG_EN.put("RS","Serbia");                  
				       LANG_EN.put("CS","Serbia and Montenegro");
				       LANG_EN.put("SC","Seychelles");
				       LANG_EN.put("SL","Sierra Leone");                  
				       LANG_EN.put("SG","Singapore");
				       LANG_EN.put("SK","Slovakia");
				       LANG_EN.put("SI","Slovenia");          
				       LANG_EN.put("SB","Solomon Islands");                  
				       LANG_EN.put("SO","Somalia");     
				       LANG_EN.put("ZA","South Africa");
				       LANG_EN.put("GS","South Georgia and the South Sandwich Islands");
				       LANG_EN.put("SU","Soviet Union");
				       LANG_EN.put("ES","Spain");
				       LANG_EN.put("LK","Sri Lanka");
				       LANG_EN.put("SD","Sudan");         
				       LANG_EN.put("SR","Suriname");     
				       LANG_EN.put("SJ","Svalbard and Jan Mayen");          
				       LANG_EN.put("SZ","Swaziland");     
				       LANG_EN.put("SE","Sweden");                   
				       LANG_EN.put("CH","Switzerland");               
				       LANG_EN.put("SY","Syrian Arab Republic");         
				       LANG_EN.put("TW","Taiwan");         
				       LANG_EN.put("TJ","Tajikistan");         
				       LANG_EN.put("TZ","Tanzania");
				       LANG_EN.put("TH","Thailand");         
				       LANG_EN.put("TL","Timor-Leste");          
				       LANG_EN.put("TG","Togo");
				       LANG_EN.put("TK","Tokelau");      
				       LANG_EN.put("TO","Tonga");          
				       LANG_EN.put("TT","Trinidad and Tobago");           
				       LANG_EN.put("TN","Tunisia");         
				       LANG_EN.put("TR","Turkey");         
				       LANG_EN.put("TM","Turkmenistan");         
				       LANG_EN.put("TC","Turks and Caicos Islands");         
				       LANG_EN.put("TV","Tuvalu");         
				       LANG_EN.put("UG","Uganda");              
				       LANG_EN.put("UA","Ukraine");          
				       LANG_EN.put("AE","United Arab Emirates");         
				       LANG_EN.put("GB","United Kingdom");         
				       LANG_EN.put("US","United States");         
				       LANG_EN.put("UY","Uruguay");
				       LANG_EN.put("UZ","Uzbekistan");                  
				       LANG_EN.put("VU","Vanuatu");    
				       LANG_EN.put("VA","Vatican City State (Holy See)");    
				       LANG_EN.put("VE","Venezuela");         
				       LANG_EN.put("VN","Viet Nam");          
				       LANG_EN.put("VG","Virgin Islands, British");          
				       LANG_EN.put("VI","Virgin Islands, U.S.");          
				       LANG_EN.put("WF","Wallis and Futuna Islands");          
				       LANG_EN.put("EH","Western Sahara");          
				       LANG_EN.put("XW","Worldwide");     
				       LANG_EN.put("YE","Yemen");     
				       LANG_EN.put("YU","Yugoslavia");     
				       LANG_EN.put("ZM","Zambia");     
				       LANG_EN.put("ZW","Zimbabwe");         

				};
				
		public static final Map<String, String> LANG_ES;
		static	{
					LANG_ES = new HashMap<String, String>(252);
		            LANG_ES.put("AF","Afganistán");     
		            LANG_ES.put("AX","Islas Åland");
		            LANG_ES.put("AL","Albania");
		            LANG_ES.put("DZ","Argelia");
		            LANG_ES.put("AS","American Samoa");         
		            LANG_ES.put("AD","Andorra");              
		            LANG_ES.put("AO","Angola");        
		            LANG_ES.put("AI","Anguila");        
		            LANG_ES.put("AQ","Antártida");              
		            LANG_ES.put("AG","Antigua y Barbuda");    
		            LANG_ES.put("AR","Argentina");    
		            LANG_ES.put("AM","Armenia");                  
		            LANG_ES.put("AW","Aruba");        
		            LANG_ES.put("AU","Australia");    
		            LANG_ES.put("AT","Austria");        
		            LANG_ES.put("AZ","Azerbaiyán");                  
		            LANG_ES.put("BS","Bahamas");
		            LANG_ES.put("BH","Bahréin");
		            LANG_ES.put("BD","Bangladesh");                  
		            LANG_ES.put("BB","Barbados");              
		            LANG_ES.put("BY","Bielorrusia");              
		            LANG_ES.put("BE","Bélgica");    
		            LANG_ES.put("BZ","Belice");                   
		            LANG_ES.put("BJ","Benin");         
		            LANG_ES.put("BM","Islas Bermudas");
		            LANG_ES.put("BT","Bután");
		            LANG_ES.put("BO","Bolivia");
		            LANG_ES.put("BA","Bosnia y Herzegovina");              
		            LANG_ES.put("BW","Botswana");          
		            LANG_ES.put("BV","Isla Bouvet");          
		            LANG_ES.put("BR","Brasil");              
		            LANG_ES.put("IO","British Indian Ocean Territory");    
		            LANG_ES.put("BN","Brunei Darussalam");
		            LANG_ES.put("BG","Bulgaria");
		            LANG_ES.put("BF","Burkina Faso");     
		            LANG_ES.put("BI","Burundi");           
		            LANG_ES.put("KH","Camboya");               
		            LANG_ES.put("CM","Camerún");           
		            LANG_ES.put("CA","Canadá");           
		            LANG_ES.put("CV","Cabo Verde");          
		            LANG_ES.put("KY","islas Caimán");         
		            LANG_ES.put("TD","Chad");          
		            LANG_ES.put("CL","Chile");         
		            LANG_ES.put("CN","China");         
		            LANG_ES.put("CX","Isla de Navidad");         
		            LANG_ES.put("CC","Islas Cocos");         
		            LANG_ES.put("CO","Colombia");         
		            LANG_ES.put("KM","Comoras");         
		            LANG_ES.put("CG","Congo");
		            LANG_ES.put("CD","Congo, The Democratic Republic of the");                  
		            LANG_ES.put("CK","Islas Cook");     
		            LANG_ES.put("CR","Costa Rica");     
		            LANG_ES.put("CI","Costa de Marfil");
		            LANG_ES.put("HR","Croacia");
		            LANG_ES.put("CU","Cuba");
		            LANG_ES.put("CY","Chipre");     
		            LANG_ES.put("XC","Checoslovaquia");     
		            LANG_ES.put("CZ","República Checa");     
		            LANG_ES.put("DK","Dinamarca");
		            LANG_ES.put("DJ","Yibuti");
		            LANG_ES.put("DM","Dominica");
		            LANG_ES.put("DO","República Dominica");
		            LANG_ES.put("XG","Alemania del Este");
		            LANG_ES.put("EC","Ecuador");
		            LANG_ES.put("EG","Egipto");              
		            LANG_ES.put("SV","El Salvador");          
		            LANG_ES.put("GQ","Guinea Ecuatorial");          
		            LANG_ES.put("ER","Eritrea");          
		            LANG_ES.put("EE","Estonia");          
		            LANG_ES.put("ET","Etipía");
		            LANG_ES.put("XE","Europa");
		            LANG_ES.put("FK","Islas Malvinas");
		            LANG_ES.put("FO","Islas Feroe");                   
		            LANG_ES.put("FJ","Fiyi");         
		            LANG_ES.put("FI","Finlandia");         
		            LANG_ES.put("FR","Francia");    
		            LANG_ES.put("GF","Guayana Francesa");         
		            LANG_ES.put("PF","Polinesia Francesa");     
		            LANG_ES.put("TF","Tierras Australes y Antárticas Francesas");     
		            LANG_ES.put("GA","Gabón");     
		            LANG_ES.put("GM","Gambia");          
		            LANG_ES.put("GE","Georgia");
		            LANG_ES.put("DE","Alemania");         
		            LANG_ES.put("GH","Ghana");         
		            LANG_ES.put("GI","Gibraltar");
		            LANG_ES.put("GR","Grecia");         
		            LANG_ES.put("GL","Groenlandia");          
		            LANG_ES.put("GD","Granada");          
		            LANG_ES.put("GP","Guadalupe");          
		            LANG_ES.put("GU","Guam");         
		            LANG_ES.put("GT","Guatemala");                  
		            LANG_ES.put("GG","Guernsey");     
		            LANG_ES.put("GN","Guinea");           
		            LANG_ES.put("GW","Guinea-Bissau");           
		            LANG_ES.put("GY","Guyana");             
		            LANG_ES.put("HT","Haiti");              
		            LANG_ES.put("HM","Islas Heard y McDonald");         
		            LANG_ES.put("HN","Honduras");         
		            LANG_ES.put("HK","Hong Kong");                      
		            LANG_ES.put("HU","Hungría");         
		            LANG_ES.put("IS","Islandia");         
		            LANG_ES.put("IN","India");    
		            LANG_ES.put("ID","Indonesia");
		            LANG_ES.put("IR","Irán");          
		            LANG_ES.put("IQ","Iraq");           
		            LANG_ES.put("IE","Irlanda");          
		            LANG_ES.put("IM","Isla de Man");         
		            LANG_ES.put("IL","Israel");
		            LANG_ES.put("IT","Italia");         
		            LANG_ES.put("JM","Jamaica");     
		            LANG_ES.put("JP","Japón");     
		            LANG_ES.put("JE","Jersey");
		            LANG_ES.put("JO","Jordania");           
		            LANG_ES.put("KZ","Kazajistán");              
		            LANG_ES.put("KE","Kenia");
		            LANG_ES.put("KI","Kiribati");     
		            LANG_ES.put("KP","Corea del Norte");     
		            LANG_ES.put("KP","Corea del Sur");
		            LANG_ES.put("KW","Kuwait");
		            LANG_ES.put("KG","Kirguistán");
		            LANG_ES.put("LA","Laos");
		            LANG_ES.put("LV","Letonia");
		            LANG_ES.put("LB","Líbano");              
		            LANG_ES.put("LS","Lesoto");             
		            LANG_ES.put("LR","Liberia");             
		            LANG_ES.put("LY","Libia");         
		            LANG_ES.put("LI","Liechtenstein");         
		            LANG_ES.put("LT","Lituania");    
		            LANG_ES.put("LU","Luxemburgo");              
		            LANG_ES.put("MO","Macao");         
		            LANG_ES.put("MK","Macedonia");         
		            LANG_ES.put("MG","Madagascar");         
		            LANG_ES.put("MW","Malawi");         
		            LANG_ES.put("MY","Malaiia");                  
		            LANG_ES.put("MV","Maldivas");
		            LANG_ES.put("ML","Mali");
		            LANG_ES.put("MT","Malta");         
		            LANG_ES.put("MH","Islas Marshall");              
		            LANG_ES.put("MQ","martinica");         
		            LANG_ES.put("MR","Mauritania");         
		            LANG_ES.put("MU","República de Mauricio");
		            LANG_ES.put("YT","Mayotte");         
		            LANG_ES.put("MX","México");         
		            LANG_ES.put("FM","Micronesia");
		            LANG_ES.put("MD","República de Moldavia");
		            LANG_ES.put("MC","Mónaco");
		            LANG_ES.put("MN","Mongolia");
		            LANG_ES.put("ME","Montenegro");
		            LANG_ES.put("MS","Montserrat");
		            LANG_ES.put("MA","Marruecos");
		            LANG_ES.put("MZ","Mozambique");          
		            LANG_ES.put("MM","Birmania");          
		            LANG_ES.put("NA","Namibia");
		            LANG_ES.put("NR","Nauru");     
		            LANG_ES.put("NP","Nepal");               
		            LANG_ES.put("NL","Países Bajos");          
		            LANG_ES.put("AN","Antillas Neerlandesas");          
		            LANG_ES.put("NC","Nueva Caledonia");         
		            LANG_ES.put("NZ","Nueva Zelanda");          
		            LANG_ES.put("NI","Nicaragua");         
		            LANG_ES.put("NE","Níger");         
		            LANG_ES.put("NG","Nigeria");         
		            LANG_ES.put("NU","Niue");
		            LANG_ES.put("NF","Isla Norfolk");                       
		            LANG_ES.put("MP","Islas Marianas del Norte");              
		            LANG_ES.put("NO","Noruega");        
		            LANG_ES.put("OM","Sultanía de Omán");             
		            LANG_ES.put("PK","Pakistán");         
		            LANG_ES.put("PW","Palau");          
		            LANG_ES.put("PS","Territorio Palestino");          
		            LANG_ES.put("PA","Panamá");                   
		            LANG_ES.put("PG","Papúa y Nueva Guinea");     
		            LANG_ES.put("PY","Paraguay");     
		            LANG_ES.put("PE","Perú");     
		            LANG_ES.put("PH","Filipinas");     
		            LANG_ES.put("PN","Islas Pitcairn");         
		            LANG_ES.put("PL","Polonia");         
		            LANG_ES.put("PT","Portugal");
		            LANG_ES.put("PR","Puerto Rico");          
		            LANG_ES.put("QA","Qatar");           
		            LANG_ES.put("RE","Isla de la Reunión");           
		            LANG_ES.put("RO","Rumanía");          
		            LANG_ES.put("RU","Rusia");          
		            LANG_ES.put("RW","Ruanda");
		            LANG_ES.put("BL","San Bartolomé");
		            LANG_ES.put("SH","Isla Santa Elena");
		            LANG_ES.put("KN","San Cristóbal y Nieves");         
		            LANG_ES.put("LC","Santa Lucía");    
		            LANG_ES.put("MF","Isla de San Martín");                  
		            LANG_ES.put("PM","San Pedro y Miquelón");
		            LANG_ES.put("VC","San Vicente y las Granadinas");
		            LANG_ES.put("WS","Samoa");                  
		            LANG_ES.put("SM","San Marino");         
		            LANG_ES.put("ST","Santo Tomé y Príncipe");
		            LANG_ES.put("SA","Arabia Saudí");
		            LANG_ES.put("SN","Senegal");
		            LANG_ES.put("RS","Serbia");                  
		            LANG_ES.put("CS","Serbia y Montenegro");
		            LANG_ES.put("SC","Seychelles");
		            LANG_ES.put("SL","Sierra Leona");                  
		            LANG_ES.put("SG","Singapur");
		            LANG_ES.put("SK","Eslovaquia");
		            LANG_ES.put("SI","Eslovenia");          
		            LANG_ES.put("SB","Islas Salomón");                  
		            LANG_ES.put("SO","Somalia");     
		            LANG_ES.put("ZA","Sudáfrica");
		            LANG_ES.put("GS","Islas Georgias del Sur y Sandwich del Sur");
		            LANG_ES.put("SU","Unión Soviética");
		            LANG_ES.put("ES","España");
		            LANG_ES.put("LK","Sri Lanka");
		            LANG_ES.put("SD","Sudán");         
		            LANG_ES.put("SR","Surinán");     
		            LANG_ES.put("SJ","Svalbard y Jan Mayen");          
		            LANG_ES.put("SZ","Suazilandia");     
		            LANG_ES.put("SE","Suecia");                   
		            LANG_ES.put("CH","Suiza");               
		            LANG_ES.put("SY","Siria");         
		            LANG_ES.put("TW","Isla de Taiwán");         
		            LANG_ES.put("TJ","Tayikistán");         
		            LANG_ES.put("TZ","Tanzania");
		            LANG_ES.put("TH","Tailandia");         
		            LANG_ES.put("TL","Timor Oriental");          
		            LANG_ES.put("TG","Togo");
		            LANG_ES.put("TK","Tokelau");      
		            LANG_ES.put("TO","Tonga");          
		            LANG_ES.put("TT","Trinidad yTobago");           
		            LANG_ES.put("TN","Túnez");         
		            LANG_ES.put("TR","Turquía");         
		            LANG_ES.put("TM","República de Turkmenistán");         
		            LANG_ES.put("TC","Islas Turcas y Caicos");         
		            LANG_ES.put("TV","Tuvalu");         
		            LANG_ES.put("UG","Uganda");              
		            LANG_ES.put("UA","Ucrania");          
		            LANG_ES.put("AE","Emiratos Árabes Unidos");         
		            LANG_ES.put("GB","Reino Unido");         
		            LANG_ES.put("US","Estados Unidos");         
		            LANG_ES.put("UY","Uruguay");
		            LANG_ES.put("UZ","Uzbekistán");                  
		            LANG_ES.put("VU","Vanuatu");    
		            LANG_ES.put("VA","Ciudad del Vaticano");    
		            LANG_ES.put("VE","Venezuela");         
		            LANG_ES.put("VN","Vietnam");          
		            LANG_ES.put("VG","Islas Vírgenes Británicas");          
		            LANG_ES.put("VI","Islas Vírgenes de los Estados Unidos");          
		            LANG_ES.put("WF","Wallis y Futuna");          
		            LANG_ES.put("EH","Sahara Occidental");          
		            LANG_ES.put("XW","(Mundial)");     
		            LANG_ES.put("YE","Yemen");     
		            LANG_ES.put("YU","Yugoslavia");     
		            LANG_ES.put("ZM","Zambia");     
		            LANG_ES.put("ZW","Zimbabue");         

				};		
	}

	public static final class RELEASE
	{
		public static final String MBID = "mbid";
		public static final String DATE = "date";
		public static final String TYPE = "type";
		public static final String NAME = "name";
		public static final String ARTIST_OBJ = "artist";
	}

	public static final class ARTIST
	{
		public static final String MBID = "mbid";
		public static final String DISAMBIGUATION = "disambiguation";
		public static final String NAME = "name";
		public static final String SORTNAME = "sort_name";
		public static final String ID = "id";
	}


	public static final class SETTINGS
	{
		public static final String NOTIFY_REMIX = "notify_remix";
		public static final String NOTIFY_SINGLE = "notify_single";
		public static final String NOTIFY_OTHER = "notify_other";
		public static final String NOTIFY_LIVE = "notify_live";
		public static final String NOTIFY_EP = "notify_ep";
		public static final String NOTIFY_COMPILATION = "notify_compilation";
		public static final String NOTIFY_ALBUM = "notify_album";
		public static final String NOTIFY = "notify";
		public static final String EMAIL = "email";
		public static final String USERID = "userid";
		public static final String PASSWORD = "password";
		public static final String ACTIVATE = "activate";
	}
	
	public static final class TYPE
	{
		public static final HashMap<String, String> TYPES_ES = new HashMap<String, String>() 
		{
			private static final long serialVersionUID = -52087045458978L;
			{
				put("COMPILATION", "Recopilatorio");
				put("LIVE", "En vivo");
				put("ALBUM", "Álbum");
				put("SINGLE", "Single");
				put("EP", "EP");
				put("REMIX", "Remix");
				put("SOUNDTRACK", "BSO");
				put("OTHER", "Otros");
			}
		};
	
	}
	
}